function out = param_func(x_)

%% Parameters

i_ = 1;


% % Standard deviation of shocks (Scaling using InverseGamma priors)
% %  - Fiscal policy shocks
out.sig_g    = x_(i_)/10;  out.order.sig_g   = i_; i_ = i_ + 1;
out.sig_tauc = x_(i_)/10;  out.order.sig_tauc= i_; i_ = i_ + 1;
out.sig_tauw = x_(i_)/10;  out.order.sig_tauw= i_; i_ = i_ + 1;
out.sig_tauK = x_(i_)/10;  out.order.sig_tauK= i_; i_ = i_ + 1;
out.sig_tau  = x_(i_)/10;  out.order.sig_tau = i_; i_ = i_ + 1;
% 
% %  - Structural shocks
out.sig_z     = x_(i_)/10;  out.order.sig_z     = i_;i_ = i_ + 1;
out.sig_rstar = x_(i_)/10;  out.order.sig_rstar = i_; i_ = i_ + 1;
out.sig_zeta  = x_(i_)/10;  out.order.sig_zeta  = i_; i_ = i_ + 1;
out.sig_L     = x_(i_)/10;  out.order.sig_L   = i_; i_ = i_ + 1;
out.sig_I     = x_(i_)/10;  out.order.sig_I  = i_; i_ = i_ + 1;
out.sig_b   = x_(i_)/10; out.order.sig_b = i_; i_ = i_ + 1;

% Firms

out.alpha = 0.29;    % Cobb-Douglas production function parameter
out.z_ss  = 1+ 0.0055082;  % growth rate of labour-augmenting TFP
out.A_ss  = 1 ;     % steady state level of stationary TFP

% Households
out.delta   = 0.01643;   % capital depreciation
out.gamma   = 1;         % labour supply 
out.nu      = 2;         % labour supply (Frisch)
out.Upsilon = x_(i_); out.order.Upsilon = i_ ; i_ = i_ + 1;     % Upislon'' investment adjustment cost
out.h       = x_(i_); out.order.h = i_       ; i_ = i_ + 1;     % Habits in consumption

% Foreign sector
out.zeta_b_ss = 0.0049497;   
out.by_F_ss  = 0;           % net foreign asset to output ratio (+ asset / (-) debt)
out.psi_b    = x_(i_)/10; out.order.psi_b = i_; i_ = i_ + 1;   % governs country-risk premium to net foreign asset position

% Government
out.by_ss    = 0.13439*4; % steady state debt to output ratio
out.gy_ss    = 0.23574;   % steady state government spending to output ratio
out.g_ss     = 0.58;      % 
out.tau_c_ss = 0.066458;  % steady state tax rate on consumption
out.tau_w_ss = 0.17873;   % steady state tax rate on labour income
out.tau_K_ss = 0.13859;   % steady state tax rate on corporate income

out.gam_gb = x_(i_)/10; out.order.gam_gb     = i_; i_ = i_ + 1; % response of government spending to b/y
out.gam_cb = x_(i_)/10; out.order.gam_cb     = i_; i_ = i_ + 1;  % response of tax rate on consumption to b/y
out.gam_wb = x_(i_)/10; out.order.gam_wb     = i_; i_ = i_ + 1;  % response of tax rate on labour income to b/y
out.gam_Kb = x_(i_)/10; out.order.gam_Kb     = i_; i_ = i_ + 1;  % response of tax rate on corporate income to b/y
out.gam_taub = x_(i_)/10; out.order.gam_taub = i_; i_ = i_ + 1; % response of transfers to b/y


out.rho_g   = x_(i_); out.order.rho_g   = i_; i_ = i_ + 1;   % persistence of government spending
out.rho2_g   = x_(i_); out.order.rho2_g   = i_; i_ = i_ + 1;   % persistence of government spending
out.rho_c   = x_(i_); out.order.rho_c   = i_; i_ = i_ + 1;  % persistence of tax rate on consumption
out.rho2_c   = x_(i_); out.order.rho2_c   = i_; i_ = i_ + 1;  % persistence of tax rate on consumption
out.rho_w   = x_(i_); out.order.rho_w   = i_; i_ = i_ + 1;  % persistence of tax rate on labour income
out.rho2_w   = x_(i_); out.order.rho2_w   = i_; i_ = i_ + 1;  % persistence of tax rate on labour income
out.rho_K   = x_(i_); out.order.rho_K   = i_; i_ = i_ + 1;   % persistence of tax rate on corporate income
out.rho2_K   = x_(i_); out.order.rho2_K   = i_; i_ = i_ + 1;   % persistence of tax rate on corporate income
out.rho_tau = x_(i_); out.order.rho_tau = i_; i_ = i_ + 1; % persistence of lump-sump transfers
out.rho2_tau = x_(i_); out.order.rho2_tau = i_; i_ = i_ + 1; % persistence of lump-sump transfers

% AR exogenous shock processes

out.rho_z      = x_(i_); out.order.rho_z      = i_; i_ = i_ + 1;      % Persistence of TFP growth
out.rho_r_star = x_(i_); out.order.rho_r_star = i_; i_ = i_ + 1; % Persistence of foreign interest rate
out.rho_zeta   = x_(i_); out.order.rho_zeta   = i_; i_ = i_ + 1;   % Persistence of intertemporal preference shock
out.rho_L      = x_(i_); out.order.rho_L      = i_; i_ = i_ + 1; % Persistence of labour supply shock
out.rho_I      = x_(i_); out.order.rho_I      = i_; i_ = i_ + 1; % Persistence of investment shock
out.rho_b      = x_(i_); out.order.rho_b      = i_; i_ = i_ + 1; % Persistence of risk premium shock
out.rho_vg     = 0 ;  % Persistence of gov. spending shock
out.rho_by     = 0;  % Persistence of by_star

% Breaks 
out.Delta_z   = x_(i_)/100 ; out.order.Delta_z = i_; i_ = i_ + 1; % Change in z_ss
out.mu_sig    = x_(i_);   out.order.mu_sig  = i_; i_ = i_ + 1; % mu_sig * OMEGA (proportional change in volatility)

out.sigma = 1;  % IIES
out.beta    = (1+ 0.0055082)^(out.sigma)/1.0105;  % household's discount factor
out.rstar_ss = out.z_ss / out.beta*exp(-out.zeta_b_ss); % steady state of foreign interest rate 

out.kappa_b  = (1 - 1/28)/out.beta; % Duration of seven year

% Automatic stabilizers
out.gam_gy = 0;   % response of government spending to y is gam_gy = a + b exp(phi_gy) / (1 + exp(phi_gy)) 
out.gam_cy = 0;  % response of tax rate on consumption to y
out.gam_wy = 0; % response of tax rate on labour income to y
out.gam_Ky = 0; % response of tax rate on corporate income to y
out.gam_tauy = 0;  % response of transfers to y

out.Delta_tauw = x_(i_)/10; out.order.Delta_tauw = i_; i_ = i_ + 1; % Change in labor income tax rate
out.Delta_tauK = x_(i_)/10; out.order.Delta_tauK = i_;              % Change in capital income tax rate
